TI20.io TechNews Independent daily digest of the public gematik repositories

ti and zeta in gematik Homebrew Tap; Go changes; ti-pkcs12 mutation score 1.0

zero-lab: 52 new commits on origin/main. ti and zeta are published in the gematik Homebrew Tap; changes in Go libraries and Rust crates.

zero-lab

Branch origin/main: 52 new commits, 99 files changed (+2431 / −209).

  • Homebrew: ti is published in the gematik Homebrew Tap (TASK-240, PR #87 chore/gematik-tap).
  • ti probe: New, shorter note for responses under -k, shown separately in yellow (TASK-261, branch fix/probe-insecure-note).
  • TI libraries (Go):
    • ti-tls: bounded verdict cache, replaceable TI trust snapshot, reuse ends at nextUpdate (TASK-232, TASK-97).
    • tipki: OCSPChecker bounds its result cache and dormant responders (TASK-234).
    • epa: VAU nonPU tracing outside production, no plaintext in the request log, tests for A_24477 and A_27671 (TASK-216).
    • idpd: tests named after the requirements they cover (TASK-217).
    • pep/proxy: an https upstream runs through the host's web profile transport, http stays local (TASK-236).
  • Rust:
    • ti-pkcs12: mutation score 1.0, additional tests for surviving mutants (TASK-218). HMAC OIDs stand for their MAC digests (TASK-255).
    • pki-validation: path before its members for a partial chain (TASK-233). Decisions on TASK-257 and TASK-256 (cargo-vet).
    • zeroize at 1.9.1; justifications for the remaining cargo-vet exceptions; jwz is first-party for cargo-vet (TASK-224).
    • Mutation runs test four mutants concurrently by default; mutation score counts a timeout once (TASK-238).
    • Compiled Python is no longer tracked (TASK-254).
  • Tooling/process:
    • Multiple tasks per branch, change-based checks, one full check per merge (TASK-260).
    • Go: check-changed and GO_MODULES (TASK-260).
  • Backlog:
    • Decision decision-15 on the TI crate structure; TASK-243 to 253 created.
    • TASK-244 to 250 and 252 in progress.
    • New tasks on RFC 8725, RFC 9700, jwz RFC 9864 and post-quantum.
    • Done: TASK-97, 216, 217, 218, 224, 226, 227, 232, 233, 234, 236, 238, 254 to 257, 260, 261.
    • TASK-13 as an observation task after the ureq 3.5 bump.

zeta-cli

Branch origin/main: 2 new commits, 2 files changed (+10 / −1).

  • zeta is published in the gematik Homebrew Tap (PR #15 chore/gematik-tap).

At a glance

  • zero-lab: 52 new commits on origin/main (99 files, +2431 / −209).
  • ti (zero-lab, PR #87) and zeta (zeta-cli, PR #15) are published in the gematik Homebrew Tap.
  • Go changes in ti-tls, tipki, epa, idpd and pep/proxy (TASK-97, 216, 217, 232, 234, 236).
  • Rust: ti-pkcs12 mutation score 1.0, zeroize 1.9.1, cargo-vet adjustments.
  • No new tags, releases or branches.

Summarised automatically from the commit histories and reviewed by an editor. The linked repositories are authoritative.

Sources

← All posts